/*
	des_mode.h
	Copyright (C) 2000 David Fifield

	This program is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation; either version 2, or (at your option)
	any later version.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with this program; if not, write to the Free Software
	Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/

#ifndef _DES_MODE_H
#define _DES_MODE_H

#include <stdio.h>
#include "des.h"

enum {
	MODE_ECB = 0, MODE_CBC, MODE_OFB, MODE_CFB
};

int des_mode_ecb(FILE *out_file, FILE *in_file,
                 unsigned char key[LONG_KEY_SIZE], unsigned int crypt_dir);

int des_mode_cbc(FILE *out_file, FILE *in_file,
                 unsigned char key[LONG_KEY_SIZE], unsigned int crypt_dir);

int des_mode_ofb(FILE *out_file, FILE *in_file,
                 unsigned char key[LONG_KEY_SIZE], unsigned int crypt_dir);

int des_mode_cfb(FILE *out_file, FILE *in_file,
                 unsigned char key[LONG_KEY_SIZE], unsigned int crypt_dir);

#endif

